Update a calendar
curl --request PATCH \
--url https://prod.featherhq.com/api/v1/calendars/{calendarId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"userId": "<string>"
}
'import requests
url = "https://prod.featherhq.com/api/v1/calendars/{calendarId}"
payload = {
"name": "<string>",
"description": "<string>",
"userId": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', userId: '<string>'})
};
fetch('https://prod.featherhq.com/api/v1/calendars/{calendarId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"userId": "<string>",
"archived": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}Calendars
Update a calendar
PATCH
/
api
/
v1
/
calendars
/
{calendarId}
Update a calendar
Authorizations
Path Parameters
Body
application/json
⌘I